Zum Inhalt springen
Bpanda
Esc
↑↓navigieren↵öffnen⌘Jvorschau

List the meta information of the given elements of a version.

List the meta information of the given elements of a version. Get meta information of multiple process elements in warehouse.

Security: Any user holding a Bpanda licence for the process space; with processVersionId set the caller additionally needs read access to that version. Elements of an invalid version are only returned to an owner, whitelistee, Manager or Designer of the process.

POST/v1/warehouses/{warehouseId}/processes/{processId}/elementinfos
Autorisierung
AuthorizationBearer-Token (JWT) · headererforderlich
BpmLicenseAPI-Schlüssel · headererforderlich
Pfadparameter
warehouseIdstringerforderlich

ID of warehouse

processIdstringerforderlich

ID of process

Query-Parameter
processVersionIdinteger<int32>

ID of process version

Request-Body
erforderlichapplication/json

IDs of process elements; an empty list yields an empty result

idsstring[]erforderlich
Antworten
200

Process meta information for multiple processes; Possible "validState" values are UNKNOWN, VALID, INVALID, UPCOMING, GONE

Array von ProcessElementInfo
descriptionsDescription[]erforderlich
Eigenschaften anzeigen
Array von Description
textFormattedText[]erforderlich
Eigenschaften anzeigen
Array von FormattedText
formatTextFormaterforderlich
Erlaubt:BBCodeHTMLPlainText
textstringerforderlich
titlestringerforderlich
idstringerforderlich
kindSPMKinderforderlich
Erlaubt:ACTIVITYBOUNDARYCALLCANCELEVENTCOLLABORATIONCOMPENSATEEVENTCONDITIONALEVENTDATADATAINPUTDATAOUTPUTDATASTOREDECISIONENDERROREVENTESCALATIONEVENTEVENTLINKEVENTMESSAGEEVENTMESSAGEFLOWPARALLELPARTICIPANTPROCESSRECEIVEROLESENDSIGNALEVENTSTARTSTORESUBPROCESSTERMINATEEVENTTIMEREVENTTRANSITION
langstringerforderlich
textstring
titlestring
typestringerforderlich
validityValidity
Eigenschaften anzeigen
fromstringerforderlich
untilstringerforderlich
validityStateValidityStateerforderlich
Erlaubt:GONEINVALIDNEXTPREVIOUSUNKNOWNUPCOMINGVALID
403

Forbidden: insufficient permissions

string
Ausprobieren
Server
Autorisierung
Parameter
Bodyapplication/json
Anfrage
curl -X POST 'https://goto.bpanda.com/api/v1/warehouses/string/processes/string/elementinfos' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "ids": [
    "string"
  ]
}'
Antwort
[
  {
    "descriptions": [
      {
        "text": [
          {
            "format": "BBCode",
            "text": "string"
          }
        ],
        "title": "string"
      }
    ],
    "id": "string",
    "kind": "ACTIVITY",
    "lang": "string",
    "text": "string",
    "title": "string",
    "type": "string",
    "validity": {
      "from": "string",
      "until": "string"
    },
    "validityState": "GONE"
  }
]